<?php
session_start();
require_once 'library/useful-functions.php';
// When $errorMessages is MT, shows no errors.
$errorMessages = '';
// User input. For initial input, this var remains MT.
// If the user has given input, it gets put into this var.
$userInput = '';
// Is there user input?
if ($_POST) {
    // There is input.
    // Grab it.
    $userInput = getParamFromPost('best-animal');
    // Check it.
    $errorMessages = checkBestAnimal($userInput);
    if ($errorMessages == '') {
        // No errors. Pass to processing page.
        // Send data for processing.
        $_SESSION['valid_best_animal'] = $userInput;
        header('Location: process-simple-form-data.php');
        exit();
    }
}
// At this point, either:
// 1. The user hasn't entered any data yet, so $userInput is MT.
//    We want to show the form with an MT input widget.
// 2. The user entered data, which is in $userInput. It failed validation.
//    We want to show an error message, and the form again, with the Evil Value in the widget.
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Simple form</title>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="library/styles.css">
    </head>
    <body>
        <h1>Simple form</h1>
        <p>Hello! I'm a simple form. Try me.</p>
        <?php
        // Show errors if there are any.
        if ($errorMessages != '') {
            print "<p class='wrong'>$errorMessages</p>";
        }
        ?>
        <form method="post">
            <p>
                <label>
                    What's the best animal?<br>
                    <input type="text" name="best-animal" size="20" value="<?= $userInput ?>"><br>
                    <small>Hint: woof!</small>
                </label>
            </p>
            <p>
                <button type="submit">Save</button>
            </p>
        </form>
    </body>
</html>
